Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556240 - synapse: FTBFS in F28
Summary: synapse: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: synapse
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tonet Jallo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:30 UTC by Fedora Release Engineering
Modified: 2018-04-30 09:10 UTC (History)
4 users (show)

Fixed In Version: synapse-0.2.99.4-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-30 09:10:58 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1756803 0 None None None 2018-03-19 09:29:17 UTC

Description Fedora Release Engineering 2018-03-14 23:30:08 UTC
Your package synapse failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24878563

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Mamoru TASAKA 2018-03-29 12:00:15 UTC
Needs synapse 0.2.99.3 + vala 0.40.3 (there is also vala side bug fixed in 0.40.3)

Comment 2 Mamoru TASAKA 2018-04-09 06:43:20 UTC
F-29 build now successful with vala-0.40.3-1.fc29 and synapse-0.2.99.4-1.fc29. Will do F-28 build when vala 0.40.3 hits on F-28.

Comment 3 Fedora Update System 2018-04-17 04:06:16 UTC
synapse-0.2.99.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6dbe7a2155

Comment 4 Fedora Update System 2018-04-17 18:08:47 UTC
synapse-0.2.99.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6dbe7a2155

Comment 5 Fedora Update System 2018-04-27 04:05:31 UTC
synapse-0.2.99.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.